/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#include "cytypes.h"
#include "cyfitter.h"

#include "HR_PWM_1_HR_PWM.h"
#include "HR_PWM_1_HR_PWM.h"

#define HR_PWM_1_CFG26Reg (0x10000 + ((0x300 & HR_PWM_1_PWMB_2_PWM_DP8_u0__A0_REG)<<4) +((0x1E & HR_PWM_1_PWMB_2_PWM_DP8_u0__A0_REG)<<8) + ((0x1 & HR_PWM_1_PWMB_2_PWM_DP8_u0__A0_REG)<<7) + 0x5A)

uint8 HR_PWM_1_DifCount;
uint8 HR_PWM_1_prev_value;

uint16 HR_PWM_1_PWMPeriod=95; /* Default PWM frequency set to 500KHz */
uint16 HR_PWM_1_PWMDuty;
uint16 HR_PWM_1_PWMDutyLimit;
uint8 HR_PWM_1_NOTStatus;
uint8 HR_PWM_1_Phasevalue;
uint8 HR_PWM_1_RegOffset;

void HR_PWM_1_Start()
{
    
    uint8 registervalue;
    registervalue=CY_GET_XTND_REG8(HR_PWM_1_CFG26Reg-1) & 0x0c;
    if(registervalue==0x0c)
    {
        HR_PWM_1_RegOffset=1;
    }
    else
        HR_PWM_1_RegOffset=2;
    
    
    
    (* (reg8 *) HR_PWM_1_Clock_1__PM_ACT_CFG)|= HR_PWM_1_Clock_1__PM_ACT_MSK;
   
    (* (reg8 *) HR_PWM_1_Control_Reg_ctrl_reg__CONTROL_REG )=HR_PWM_1_PWM_DISABLE;
    
    CY_SET_REG8(HR_PWM_1_PWMB_1_PWM_DP8_u0__D0_REG, HR_PWM_1_PWMPeriod);
    CY_SET_REG8(HR_PWM_1_PWMB_2_PWM_DP8_u0__D0_REG, HR_PWM_1_PWMPeriod); 
    
    CY_SET_REG8(HR_PWM_1_PWMB_1_PWM_DP8_u0__D1_REG, 10);
    CY_SET_REG8(HR_PWM_1_PWMB_2_PWM_DP8_u0__D1_REG, 10); 
    
    CY_SET_REG8(HR_PWM_1_PWMB_1_PWM_DP8_u0__A0_REG, 10);
    CY_SET_REG8(HR_PWM_1_PWMB_2_PWM_DP8_u0__A0_REG, 10); 
        
     (* (reg8 *) HR_PWM_1_Control_Reg_ctrl_reg__CONTROL_REG )= HR_PWM_1_PWM_OUTPUT_ENABLE;
    
}

void HR_PWM_1_Stop()
{
    (* (reg8 *) HR_PWM_1_Clock_1__PM_ACT_CFG)&=~ HR_PWM_1_Clock_1__PM_ACT_MSK;
   (* (reg8 *) HR_PWM_1_Control_Reg_ctrl_reg__CONTROL_REG )=HR_PWM_1_PWM_DISABLE;
    
}

void HR_PWM_1_SetPeriod(uint16 Period)
{
    HR_PWM_1_PWMPeriod=Period;
    HR_PWM_1_PWMDutyLimit=Period<<4; /* PWM Duty limit set to 80% of maximum possible value */
}

void HR_PWM_1_SetDuty(uint16 Duty)
{
    uint8 CountPWM1,CountPWM2;
    int8 IncCount;
    uint8 NOTGateStatus;
    uint8 Difference;
    uint8 NOTEnable;
    
    if(Duty > HR_PWM_1_PWMDutyLimit)
        Duty=HR_PWM_1_PWMDutyLimit;
       
    HR_PWM_1_Phasevalue=(Duty % 11);
    HR_PWM_1_PWMDuty=(Duty-(HR_PWM_1_Phasevalue))/11;


    NOTEnable=(HR_PWM_1_PWMDuty & 0x1)^HR_PWM_1_prev_value;
    HR_PWM_1_prev_value=(HR_PWM_1_PWMDuty & 0x1);
    
    HR_PWM_1_PWMDuty=HR_PWM_1_PWMDuty>>1;
    
  
    
    //stop the clock
   (* (reg8 *) HR_PWM_1_Control_Reg_ctrl_reg__CONTROL_REG )=HR_PWM_1_PWM_DISABLE;
       
   (* (reg8 *) HR_PWM_1_Clock_1__PM_ACT_CFG)&=~ HR_PWM_1_Clock_1__PM_ACT_MSK;
  
    
    
    if(NOTEnable)
    {
        CY_SET_XTND_REG8(HR_PWM_1_CFG26Reg,(CY_GET_XTND_REG8(HR_PWM_1_CFG26Reg) ^ 0x20)); 
        CY_SET_XTND_REG8((uint8 *)(HR_PWM_1_CFG26Reg-HR_PWM_1_RegOffset),(CY_GET_XTND_REG8((uint8 *)(HR_PWM_1_CFG26Reg-HR_PWM_1_RegOffset)) ^ 0x20)); 
    } 

    NOTGateStatus=(CY_GET_XTND_REG8(HR_PWM_1_CFG26Reg) & 0x20)>>5; 
    
    
    //set the phase value
    (* (reg8 *) HR_PWM_1_Clock_1__CFG3) = (HR_PWM_1_Phasevalue+1) & HR_PWM_1_Clock_1__CFG3_PHASE_DLY_MASK;
    
    
    CY_SET_REG8(HR_PWM_1_PWMB_1_PWM_DP8_u0__D1_REG, HR_PWM_1_PWMDuty);
    CY_SET_REG8(HR_PWM_1_PWMB_2_PWM_DP8_u0__D1_REG, HR_PWM_1_PWMDuty);
    
    CY_SET_REG8(HR_PWM_1_PWMB_1_PWM_DP8_u0__A0_REG, (HR_PWM_1_PWMPeriod+1));
    CY_SET_REG8(HR_PWM_1_PWMB_2_PWM_DP8_u0__A0_REG, (HR_PWM_1_PWMPeriod+1)); 
    
    //start and stop clocks
    (* (reg8 *) HR_PWM_1_Clock_1__PM_ACT_CFG)|= HR_PWM_1_Clock_1__PM_ACT_MSK; 
    (* (reg8 *) HR_PWM_1_Control_Reg_ctrl_reg__CONTROL_REG )=HR_PWM_1_PWM_ENABLE;
    CY_NOP;
    CY_NOP;
    CY_NOP;
    CY_NOP;
    CY_NOP;
    CY_NOP;

    (* (reg8 *) HR_PWM_1_Control_Reg_ctrl_reg__CONTROL_REG )=HR_PWM_1_PWM_DISABLE;
    
    CY_NOP;
    CY_NOP;
    CY_NOP;
    CY_NOP;
    CY_NOP;
    CY_NOP;
        
    //read count registers
    CY_GET_REG8(HR_PWM_1_PWMB_1_PWM_DP8_u0__A0_REG);
    CountPWM1=CY_GET_REG8(HR_PWM_1_PWMB_1_PWM_DP8_u0__A0_REG);
    
    CY_GET_REG8(HR_PWM_1_PWMB_2_PWM_DP8_u0__A0_REG);
    CountPWM2=CY_GET_REG8(HR_PWM_1_PWMB_2_PWM_DP8_u0__A0_REG);
    
       
    Difference=CountPWM1-CountPWM2;
    
    if(HR_PWM_1_Phasevalue==0)
        HR_PWM_1_DifCount=Difference;
    
    IncCount= (Difference-HR_PWM_1_DifCount+NOTGateStatus);
        
    
    CY_SET_REG8(HR_PWM_1_PWMB_1_PWM_DP8_u0__A0_REG, (HR_PWM_1_PWMDuty+2));
    CY_SET_REG8(HR_PWM_1_PWMB_2_PWM_DP8_u0__A0_REG, (HR_PWM_1_PWMDuty+2)+IncCount); 
    
    
    
    /* Start clock */
    (* (reg8 *) HR_PWM_1_Control_Reg_ctrl_reg__CONTROL_REG )=HR_PWM_1_PWM_ENABLE |HR_PWM_1_PWM_OUTPUT_ENABLE;
}

void HR_PWM_1_EnablePWM()
{
   (* (reg8 *) HR_PWM_1_Control_Reg_ctrl_reg__CONTROL_REG )=HR_PWM_1_PWM_ENABLE |HR_PWM_1_PWM_OUTPUT_ENABLE;
}

void HR_PWM_1_DisablePWM()
{
   (* (reg8 *) HR_PWM_1_Control_Reg_ctrl_reg__CONTROL_REG )=HR_PWM_1_PWM_DISABLE;
}




/* [] END OF FILE */
