/*******************************************************************************
* File Name: Pin_IBatp.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Pin_IBatp_H) /* Pins Pin_IBatp_H */
#define CY_PINS_Pin_IBatp_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Pin_IBatp_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Pin_IBatp_Write(uint8 value) ;
void    Pin_IBatp_SetDriveMode(uint8 mode) ;
uint8   Pin_IBatp_ReadDataReg(void) ;
uint8   Pin_IBatp_Read(void) ;
uint8   Pin_IBatp_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Pin_IBatp_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Pin_IBatp_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Pin_IBatp_DM_RES_UP          PIN_DM_RES_UP
#define Pin_IBatp_DM_RES_DWN         PIN_DM_RES_DWN
#define Pin_IBatp_DM_OD_LO           PIN_DM_OD_LO
#define Pin_IBatp_DM_OD_HI           PIN_DM_OD_HI
#define Pin_IBatp_DM_STRONG          PIN_DM_STRONG
#define Pin_IBatp_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Pin_IBatp_MASK               Pin_IBatp__MASK
#define Pin_IBatp_SHIFT              Pin_IBatp__SHIFT
#define Pin_IBatp_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Pin_IBatp_PS                     (* (reg8 *) Pin_IBatp__PS)
/* Data Register */
#define Pin_IBatp_DR                     (* (reg8 *) Pin_IBatp__DR)
/* Port Number */
#define Pin_IBatp_PRT_NUM                (* (reg8 *) Pin_IBatp__PRT) 
/* Connect to Analog Globals */                                                  
#define Pin_IBatp_AG                     (* (reg8 *) Pin_IBatp__AG)                       
/* Analog MUX bux enable */
#define Pin_IBatp_AMUX                   (* (reg8 *) Pin_IBatp__AMUX) 
/* Bidirectional Enable */                                                        
#define Pin_IBatp_BIE                    (* (reg8 *) Pin_IBatp__BIE)
/* Bit-mask for Aliased Register Access */
#define Pin_IBatp_BIT_MASK               (* (reg8 *) Pin_IBatp__BIT_MASK)
/* Bypass Enable */
#define Pin_IBatp_BYP                    (* (reg8 *) Pin_IBatp__BYP)
/* Port wide control signals */                                                   
#define Pin_IBatp_CTL                    (* (reg8 *) Pin_IBatp__CTL)
/* Drive Modes */
#define Pin_IBatp_DM0                    (* (reg8 *) Pin_IBatp__DM0) 
#define Pin_IBatp_DM1                    (* (reg8 *) Pin_IBatp__DM1)
#define Pin_IBatp_DM2                    (* (reg8 *) Pin_IBatp__DM2) 
/* Input Buffer Disable Override */
#define Pin_IBatp_INP_DIS                (* (reg8 *) Pin_IBatp__INP_DIS)
/* LCD Common or Segment Drive */
#define Pin_IBatp_LCD_COM_SEG            (* (reg8 *) Pin_IBatp__LCD_COM_SEG)
/* Enable Segment LCD */
#define Pin_IBatp_LCD_EN                 (* (reg8 *) Pin_IBatp__LCD_EN)
/* Slew Rate Control */
#define Pin_IBatp_SLW                    (* (reg8 *) Pin_IBatp__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Pin_IBatp_PRTDSI__CAPS_SEL       (* (reg8 *) Pin_IBatp__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Pin_IBatp_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Pin_IBatp__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Pin_IBatp_PRTDSI__OE_SEL0        (* (reg8 *) Pin_IBatp__PRTDSI__OE_SEL0) 
#define Pin_IBatp_PRTDSI__OE_SEL1        (* (reg8 *) Pin_IBatp__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Pin_IBatp_PRTDSI__OUT_SEL0       (* (reg8 *) Pin_IBatp__PRTDSI__OUT_SEL0) 
#define Pin_IBatp_PRTDSI__OUT_SEL1       (* (reg8 *) Pin_IBatp__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Pin_IBatp_PRTDSI__SYNC_OUT       (* (reg8 *) Pin_IBatp__PRTDSI__SYNC_OUT) 


#if defined(Pin_IBatp__INTSTAT)  /* Interrupt Registers */

    #define Pin_IBatp_INTSTAT                (* (reg8 *) Pin_IBatp__INTSTAT)
    #define Pin_IBatp_SNAP                   (* (reg8 *) Pin_IBatp__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Pin_IBatp_H */


/* [] END OF FILE */
