/*******************************************************************************
* File Name: Pin_VBatp.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Pin_VBatp_H) /* Pins Pin_VBatp_H */
#define CY_PINS_Pin_VBatp_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Pin_VBatp_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Pin_VBatp_Write(uint8 value) ;
void    Pin_VBatp_SetDriveMode(uint8 mode) ;
uint8   Pin_VBatp_ReadDataReg(void) ;
uint8   Pin_VBatp_Read(void) ;
uint8   Pin_VBatp_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Pin_VBatp_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Pin_VBatp_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Pin_VBatp_DM_RES_UP          PIN_DM_RES_UP
#define Pin_VBatp_DM_RES_DWN         PIN_DM_RES_DWN
#define Pin_VBatp_DM_OD_LO           PIN_DM_OD_LO
#define Pin_VBatp_DM_OD_HI           PIN_DM_OD_HI
#define Pin_VBatp_DM_STRONG          PIN_DM_STRONG
#define Pin_VBatp_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Pin_VBatp_MASK               Pin_VBatp__MASK
#define Pin_VBatp_SHIFT              Pin_VBatp__SHIFT
#define Pin_VBatp_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Pin_VBatp_PS                     (* (reg8 *) Pin_VBatp__PS)
/* Data Register */
#define Pin_VBatp_DR                     (* (reg8 *) Pin_VBatp__DR)
/* Port Number */
#define Pin_VBatp_PRT_NUM                (* (reg8 *) Pin_VBatp__PRT) 
/* Connect to Analog Globals */                                                  
#define Pin_VBatp_AG                     (* (reg8 *) Pin_VBatp__AG)                       
/* Analog MUX bux enable */
#define Pin_VBatp_AMUX                   (* (reg8 *) Pin_VBatp__AMUX) 
/* Bidirectional Enable */                                                        
#define Pin_VBatp_BIE                    (* (reg8 *) Pin_VBatp__BIE)
/* Bit-mask for Aliased Register Access */
#define Pin_VBatp_BIT_MASK               (* (reg8 *) Pin_VBatp__BIT_MASK)
/* Bypass Enable */
#define Pin_VBatp_BYP                    (* (reg8 *) Pin_VBatp__BYP)
/* Port wide control signals */                                                   
#define Pin_VBatp_CTL                    (* (reg8 *) Pin_VBatp__CTL)
/* Drive Modes */
#define Pin_VBatp_DM0                    (* (reg8 *) Pin_VBatp__DM0) 
#define Pin_VBatp_DM1                    (* (reg8 *) Pin_VBatp__DM1)
#define Pin_VBatp_DM2                    (* (reg8 *) Pin_VBatp__DM2) 
/* Input Buffer Disable Override */
#define Pin_VBatp_INP_DIS                (* (reg8 *) Pin_VBatp__INP_DIS)
/* LCD Common or Segment Drive */
#define Pin_VBatp_LCD_COM_SEG            (* (reg8 *) Pin_VBatp__LCD_COM_SEG)
/* Enable Segment LCD */
#define Pin_VBatp_LCD_EN                 (* (reg8 *) Pin_VBatp__LCD_EN)
/* Slew Rate Control */
#define Pin_VBatp_SLW                    (* (reg8 *) Pin_VBatp__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Pin_VBatp_PRTDSI__CAPS_SEL       (* (reg8 *) Pin_VBatp__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Pin_VBatp_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Pin_VBatp__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Pin_VBatp_PRTDSI__OE_SEL0        (* (reg8 *) Pin_VBatp__PRTDSI__OE_SEL0) 
#define Pin_VBatp_PRTDSI__OE_SEL1        (* (reg8 *) Pin_VBatp__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Pin_VBatp_PRTDSI__OUT_SEL0       (* (reg8 *) Pin_VBatp__PRTDSI__OUT_SEL0) 
#define Pin_VBatp_PRTDSI__OUT_SEL1       (* (reg8 *) Pin_VBatp__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Pin_VBatp_PRTDSI__SYNC_OUT       (* (reg8 *) Pin_VBatp__PRTDSI__SYNC_OUT) 


#if defined(Pin_VBatp__INTSTAT)  /* Interrupt Registers */

    #define Pin_VBatp_INTSTAT                (* (reg8 *) Pin_VBatp__INTSTAT)
    #define Pin_VBatp_SNAP                   (* (reg8 *) Pin_VBatp__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Pin_VBatp_H */


/* [] END OF FILE */
