/*******************************************************************************
* File Name: Thermistor_1.h
* Version 1.0
*
* Description:
*  This header file contains definitions associated with the Thermistor component.
*
* Note: none
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
********************************************************************************/
#if !defined(Thermistor_1_H) 
#define Thermistor_1_H

#include "cytypes.h"
#include "cylib.h"
#include "cyfitter.h"

/**************************************
* Parameter Defaults    
* Parameters and Co-efficients (or LUT) obtained from the customizer
**************************************/
#define Thermistor_1_Ref_Res               10000
#define Thermistor_1_IMPL 				   1
#define Thermistor_1_Accuracy              0.5
#define Thermistor_1_MIN_TEMP              0
#define	Thermistor_1_THA	0.0009032536
#define	Thermistor_1_THB	0.0002488978
#define	Thermistor_1_THC	2.048052E-07

/***************************************
*        Function Prototypes 
***************************************/
int32 Thermistor_1_GetTemperature(int32 Vref, int32 VT);

#endif /* CY_Thermistor_1_H */										



//[] END OF FILE
