/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#include "DitheredPWM_1_DitheredPWM.h"

uint8 DitheredPWM_1_PRSDensity;
uint8 DitheredPWM_1_PWMDuty;
uint8 DitheredPWM_1_PWMPeriod;


void DitheredPWM_1_Start()
{
    /* Start PWM component */
    DitheredPWM_1_PWM_Start();
    
    /* Start Prism Component */
    DitheredPWM_1_PrISM_Start();
    
}   


void DitheredPWM_1_Stop()
{
     /* Stop PWM component */
    DitheredPWM_1_PWM_Stop();
    
    /* Stop Prism Component */
    DitheredPWM_1_PrISM_Stop();
}


void DitheredPWM_1_SetPeriod(uint8 Period)
{
    DitheredPWM_1_PWM_WritePeriod(Period);
    DitheredPWM_1_PWMPeriod=Period;
    
}


void DitheredPWM_1_SetDuty(uint16 DitheredPWM_1_Duty)
{
    
    if((DitheredPWM_1_Duty>>8) < DitheredPWM_1_PWMPeriod)
    {
        DitheredPWM_1_PWMDuty = DitheredPWM_1_Duty>>8;
            
        DitheredPWM_1_PWM_WriteCompare1(DitheredPWM_1_PWMDuty);
        DitheredPWM_1_PWM_WriteCompare2(DitheredPWM_1_PWMDuty+1);
            
        DitheredPWM_1_PRSDensity=(DitheredPWM_1_Duty & 0xFF);
            
        DitheredPWM_1_PrISM_WritePulse0(DitheredPWM_1_PRSDensity);
    }
}

    
/* [] END OF FILE */
