/*******************************************************************************
* File Name: isr_test.h
* Version 1.60
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/
#if !defined(__isr_test_INTC_H__)
#define __isr_test_INTC_H__


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void isr_test_Start(void);
void isr_test_StartEx(cyisraddress address);
void isr_test_Stop(void) ;

CY_ISR_PROTO(isr_test_Interrupt);

void isr_test_SetVector(cyisraddress address) ;
cyisraddress isr_test_GetVector(void) ;

void isr_test_SetPriority(uint8 priority) ;
uint8 isr_test_GetPriority(void) ;

void isr_test_Enable(void) ;
uint8 isr_test_GetState(void) ;
void isr_test_Disable(void) ;

void isr_test_SetPending(void) ;
void isr_test_ClearPending(void) ;


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the isr_test ISR. */
#define isr_test_INTC_VECTOR            ((reg32 *) isr_test__INTC_VECT)

/* Address of the isr_test ISR priority. */
#define isr_test_INTC_PRIOR             ((reg8 *) isr_test__INTC_PRIOR_REG)

/* Priority of the isr_test interrupt. */
#define isr_test_INTC_PRIOR_NUMBER      isr_test__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable isr_test interrupt. */
#define isr_test_INTC_SET_EN            ((reg32 *) isr_test__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the isr_test interrupt. */
#define isr_test_INTC_CLR_EN            ((reg32 *) isr_test__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the isr_test interrupt state to pending. */
#define isr_test_INTC_SET_PD            ((reg32 *) isr_test__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the isr_test interrupt. */
#define isr_test_INTC_CLR_PD            ((reg32 *) isr_test__INTC_CLR_PD_REG)



/* __isr_test_INTC_H__ */
#endif
