/*******************************************************************************
* File Name: Thermistor_Calc_1.h
* Version 1.0
*
* Description:
*  This header file contains definitions associated with the Thermistor component.
*
* Note: none
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
********************************************************************************/
#if !defined(Thermistor_Calc_1_H) 
#define Thermistor_Calc_1_H

#include "cytypes.h"
#include "cylib.h"
#include "cyfitter.h"

/**************************************
* Parameter Defaults    
* Parameters and Co-efficients (or LUT) obtained from the customizer
**************************************/
#define Thermistor_Calc_1_Ref_Res               10000
#define Thermistor_Calc_1_IMPL 				   0
#define Thermistor_Calc_1_Accuracy              0.5
#define Thermistor_Calc_1_MIN_TEMP              0
#define	Thermistor_Calc_1_LUTSIZE	100
#define	Thermistor_Calc_1_LUT	{35070, 34139, 33235, 32357, 31505, 30678, 29875, 29095, 28338, 27603, 26888, 26195, 25521, 24866, 24230, 23612, 23011, 22428, 21861, 21309, 20774, 20253, 19746, 19254, 18776, 18310, 17858, 17417, 16989, 16573, 16168, 15774, 15390, 15017, 14654, 14301, 13958, 13623, 13298, 12981, 12672, 12372, 12079, 11795, 11518, 11248, 10985, 10729, 10479, 10237, 10000, 9769, 9545, 9326, 9113, 8905, 8703, 8505, 8313, 8126, 7943, 7765, 7591, 7422, 7257, 7096, 6939, 6786, 6637, 6491, 6349, 6210, 6075, 5943, 5815, 5689, 5567, 5447, 5330, 5217, 5105, 4997, 4891, 4788, 4687, 4588, 4492, 4398, 4307, 4217, 4130, 4044, 3961, 3879, 3800, 3722, 3646, 3572, 3499, 3428} 

/***************************************
*        Function Prototypes 
***************************************/
int32 Thermistor_Calc_1_GetTemperature(int32 Vref, int32 VT);

#endif /* CY_Thermistor_Calc_1_H */										



//[] END OF FILE
